Merge a couple of configure script checks in from team/russell/events. This adds
authorRussell Bryant <russell@russellbryant.com>
Tue, 10 Jun 2008 00:43:06 +0000 (00:43 +0000)
committerRussell Bryant <russell@russellbryant.com>
Tue, 10 Jun 2008 00:43:06 +0000 (00:43 +0000)
the checks for the CLM and EVT services from the SAForum AIS.  I'm going to work
on merging in changes from this branch in pieces.

git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@121403 65c4cc65-6c06-0410-ace0-fbb531ad65f3

build_tools/menuselect-deps.in
configure
configure.ac
include/asterisk/autoconfig.h.in
makeopts.in

index 6067076..3fff728 100644 (file)
@@ -29,6 +29,8 @@ PGSQL=@PBX_PGSQL@
 POPT=@PBX_POPT@
 PORTAUDIO=@PBX_PORTAUDIO@
 PRI=@PBX_PRI@
+SACLM=@PBX_SACLM@
+SAEVT=@PBX_SAEVT@
 RADIUS=@PBX_RADIUS@
 SPANDSP=@PBX_SPANDSP@
 SPEEX=@PBX_SPEEX@
index b3df963..3fe8da3 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 119795 .
+# From configure.ac Revision: 119826 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for asterisk 1.6.
 #
@@ -876,6 +876,14 @@ SDL_IMAGE_LIB
 SDL_IMAGE_INCLUDE
 SDL_IMAGE_DIR
 PBX_SDL_IMAGE
+SACLM_LIB
+SACLM_INCLUDE
+SACLM_DIR
+PBX_SACLM
+SAEVT_LIB
+SAEVT_INCLUDE
+SAEVT_DIR
+PBX_SAEVT
 SPEEX_LIB
 SPEEX_INCLUDE
 SPEEX_DIR
@@ -1618,6 +1626,8 @@ Optional Packages:
   --with-radius=PATH      use Radius Client files in PATH
   --with-sdl=PATH         use Sdl files in PATH
   --with-SDL_image=PATH   use Sdl Image library files in PATH
+  --with-SaClm=PATH       use SAForum AIS CLM files in PATH
+  --with-SaEvt=PATH       use SAForum AIS EVT files in PATH
   --with-speex=PATH       use Speex files in PATH
   --with-speexdsp=PATH    use Speexdsp files in PATH
   --with-sqlite=PATH      use SQLite files in PATH
@@ -8983,6 +8993,62 @@ fi
 
 
 
+    SACLM_DESCRIP="SAForum AIS CLM"
+    SACLM_OPTION="SaClm"
+
+# Check whether --with-SaClm was given.
+if test "${with_SaClm+set}" = set; then
+  withval=$with_SaClm;
+       case ${withval} in
+       n|no)
+       USE_SACLM=no
+       ;;
+       y|ye|yes)
+       ac_mandatory_list="${ac_mandatory_list} SACLM"
+       ;;
+       *)
+       SACLM_DIR="${withval}"
+       ac_mandatory_list="${ac_mandatory_list} SACLM"
+       ;;
+       esac
+
+fi
+
+    PBX_SACLM=0
+
+
+
+
+
+
+    SAEVT_DESCRIP="SAForum AIS EVT"
+    SAEVT_OPTION="SaEvt"
+
+# Check whether --with-SaEvt was given.
+if test "${with_SaEvt+set}" = set; then
+  withval=$with_SaEvt;
+       case ${withval} in
+       n|no)
+       USE_SAEVT=no
+       ;;
+       y|ye|yes)
+       ac_mandatory_list="${ac_mandatory_list} SAEVT"
+       ;;
+       *)
+       SAEVT_DIR="${withval}"
+       ac_mandatory_list="${ac_mandatory_list} SAEVT"
+       ;;
+       esac
+
+fi
+
+    PBX_SAEVT=0
+
+
+
+
+
+
     SPEEX_DESCRIP="Speex"
     SPEEX_OPTION="speex"
 
 
 
 
+if test "x${PBX_SACLM}" != "x1" -a "${USE_SACLM}" != "no"; then
+   pbxlibdir=""
+   # if --with-SACLM=DIR has been specified, use it.
+   if test "x${SACLM_DIR}" != "x"; then
+      if test -d ${SACLM_DIR}/lib; then
+        pbxlibdir="-L${SACLM_DIR}/lib"
+      else
+        pbxlibdir="-L${SACLM_DIR}"
+      fi
+   fi
+   pbxfuncname="saClmInitialize"
+   if test "x${pbxfuncname}" = "x" ; then   # empty lib, assume only headers
+      AST_SACLM_FOUND=yes
+   else
+      as_ac_Lib=`echo "ac_cv_lib_SaClm_${pbxfuncname}" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${pbxfuncname} in -lSaClm" >&5
+echo $ECHO_N "checking for ${pbxfuncname} in -lSaClm... $ECHO_C" >&6; }
+if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lSaClm ${pbxlibdir}  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char ${pbxfuncname} ();
+int
+main ()
+{
+return ${pbxfuncname} ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_Lib=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_Lib=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+ac_res=`eval echo '${'$as_ac_Lib'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
+  AST_SACLM_FOUND=yes
+else
+  AST_SACLM_FOUND=no
+fi
+
+   fi
+
+   # now check for the header.
+   if test "${AST_SACLM_FOUND}" = "yes"; then
+      SACLM_LIB="${pbxlibdir} -lSaClm "
+      # if --with-SACLM=DIR has been specified, use it.
+      if test "x${SACLM_DIR}" != "x"; then
+        SACLM_INCLUDE="-I${SACLM_DIR}/include"
+      fi
+      SACLM_INCLUDE="${SACLM_INCLUDE} "
+      if test "xopenais/saClm.h" = "x" ; then  # no header, assume found
+         SACLM_HEADER_FOUND="1"
+      else                             # check for the header
+         saved_cppflags="${CPPFLAGS}"
+         CPPFLAGS="${CPPFLAGS} ${SACLM_INCLUDE} "
+        if test "${ac_cv_header_openais_saClm_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for openais/saClm.h" >&5
+echo $ECHO_N "checking for openais/saClm.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_openais_saClm_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_openais_saClm_h" >&5
+echo "${ECHO_T}$ac_cv_header_openais_saClm_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking openais/saClm.h usability" >&5
+echo $ECHO_N "checking openais/saClm.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <openais/saClm.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking openais/saClm.h presence" >&5
+echo $ECHO_N "checking openais/saClm.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <openais/saClm.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: openais/saClm.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: openais/saClm.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: openais/saClm.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: openais/saClm.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: openais/saClm.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: openais/saClm.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: openais/saClm.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: openais/saClm.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: openais/saClm.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: openais/saClm.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: openais/saClm.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: openais/saClm.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: openais/saClm.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: openais/saClm.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: openais/saClm.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: openais/saClm.h: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ------------------------------- ##
+## Report this to www.asterisk.org ##
+## ------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for openais/saClm.h" >&5
+echo $ECHO_N "checking for openais/saClm.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_openais_saClm_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_openais_saClm_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_openais_saClm_h" >&5
+echo "${ECHO_T}$ac_cv_header_openais_saClm_h" >&6; }
+
+fi
+if test $ac_cv_header_openais_saClm_h = yes; then
+  SACLM_HEADER_FOUND=1
+else
+  SACLM_HEADER_FOUND=0
+fi
+
+
+         CPPFLAGS="${saved_cppflags}"
+      fi
+      if test "x${SACLM_HEADER_FOUND}" = "x0" ; then
+         SACLM_LIB=""
+         SACLM_INCLUDE=""
+      else
+         if test "x${pbxfuncname}" = "x" ; then                # only checking headers -> no library
+           SACLM_LIB=""
+        fi
+         PBX_SACLM=1
+         # XXX don't know how to evaluate the description (third argument) in AC_DEFINE_UNQUOTED
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_SACLM 1
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_SACLM_VERSION
+_ACEOF
+
+      fi
+   fi
+fi
+
+
+if test "x${PBX_SAEVT}" != "x1" -a "${USE_SAEVT}" != "no"; then
+   pbxlibdir=""
+   # if --with-SAEVT=DIR has been specified, use it.
+   if test "x${SAEVT_DIR}" != "x"; then
+      if test -d ${SAEVT_DIR}/lib; then
+        pbxlibdir="-L${SAEVT_DIR}/lib"
+      else
+        pbxlibdir="-L${SAEVT_DIR}"
+      fi
+   fi
+   pbxfuncname="saEvtInitialize"
+   if test "x${pbxfuncname}" = "x" ; then   # empty lib, assume only headers
+      AST_SAEVT_FOUND=yes
+   else
+      as_ac_Lib=`echo "ac_cv_lib_SaEvt_${pbxfuncname}" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${pbxfuncname} in -lSaEvt" >&5
+echo $ECHO_N "checking for ${pbxfuncname} in -lSaEvt... $ECHO_C" >&6; }
+if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lSaEvt ${pbxlibdir}  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char ${pbxfuncname} ();
+int
+main ()
+{
+return ${pbxfuncname} ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_Lib=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_Lib=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+ac_res=`eval echo '${'$as_ac_Lib'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
+  AST_SAEVT_FOUND=yes
+else
+  AST_SAEVT_FOUND=no
+fi
+
+   fi
+
+   # now check for the header.
+   if test "${AST_SAEVT_FOUND}" = "yes"; then
+      SAEVT_LIB="${pbxlibdir} -lSaEvt "
+      # if --with-SAEVT=DIR has been specified, use it.
+      if test "x${SAEVT_DIR}" != "x"; then
+        SAEVT_INCLUDE="-I${SAEVT_DIR}/include"
+      fi
+      SAEVT_INCLUDE="${SAEVT_INCLUDE} "
+      if test "xopenais/saEvt.h" = "x" ; then  # no header, assume found
+         SAEVT_HEADER_FOUND="1"
+      else                             # check for the header
+         saved_cppflags="${CPPFLAGS}"
+         CPPFLAGS="${CPPFLAGS} ${SAEVT_INCLUDE} "
+        if test "${ac_cv_header_openais_saEvt_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for openais/saEvt.h" >&5
+echo $ECHO_N "checking for openais/saEvt.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_openais_saEvt_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_openais_saEvt_h" >&5
+echo "${ECHO_T}$ac_cv_header_openais_saEvt_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking openais/saEvt.h usability" >&5
+echo $ECHO_N "checking openais/saEvt.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <openais/saEvt.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking openais/saEvt.h presence" >&5
+echo $ECHO_N "checking openais/saEvt.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <openais/saEvt.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: openais/saEvt.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: openais/saEvt.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: openais/saEvt.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: openais/saEvt.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: openais/saEvt.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: openais/saEvt.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: openais/saEvt.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: openais/saEvt.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: openais/saEvt.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: openais/saEvt.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: openais/saEvt.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: openais/saEvt.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: openais/saEvt.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: openais/saEvt.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: openais/saEvt.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: openais/saEvt.h: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ------------------------------- ##
+## Report this to www.asterisk.org ##
+## ------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for openais/saEvt.h" >&5
+echo $ECHO_N "checking for openais/saEvt.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_openais_saEvt_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_openais_saEvt_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_openais_saEvt_h" >&5
+echo "${ECHO_T}$ac_cv_header_openais_saEvt_h" >&6; }
+
+fi
+if test $ac_cv_header_openais_saEvt_h = yes; then
+  SAEVT_HEADER_FOUND=1
+else
+  SAEVT_HEADER_FOUND=0
+fi
+
+
+         CPPFLAGS="${saved_cppflags}"
+      fi
+      if test "x${SAEVT_HEADER_FOUND}" = "x0" ; then
+         SAEVT_LIB=""
+         SAEVT_INCLUDE=""
+      else
+         if test "x${pbxfuncname}" = "x" ; then                # only checking headers -> no library
+           SAEVT_LIB=""
+        fi
+         PBX_SAEVT=1
+         # XXX don't know how to evaluate the description (third argument) in AC_DEFINE_UNQUOTED
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_SAEVT 1
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_SAEVT_VERSION
+_ACEOF
+
+      fi
+   fi
+fi
+
+
+
 if test "x${PBX_SPEEX}" != "x1" -a "${USE_SPEEX}" != "no"; then
    pbxlibdir=""
    # if --with-SPEEX=DIR has been specified, use it.
@@ -51520,6 +52109,14 @@ SDL_IMAGE_LIB!$SDL_IMAGE_LIB$ac_delim
 SDL_IMAGE_INCLUDE!$SDL_IMAGE_INCLUDE$ac_delim
 SDL_IMAGE_DIR!$SDL_IMAGE_DIR$ac_delim
 PBX_SDL_IMAGE!$PBX_SDL_IMAGE$ac_delim
+SACLM_LIB!$SACLM_LIB$ac_delim
+SACLM_INCLUDE!$SACLM_INCLUDE$ac_delim
+SACLM_DIR!$SACLM_DIR$ac_delim
+PBX_SACLM!$PBX_SACLM$ac_delim
+SAEVT_LIB!$SAEVT_LIB$ac_delim
+SAEVT_INCLUDE!$SAEVT_INCLUDE$ac_delim
+SAEVT_DIR!$SAEVT_DIR$ac_delim
+PBX_SAEVT!$PBX_SAEVT$ac_delim
 SPEEX_LIB!$SPEEX_LIB$ac_delim
 SPEEX_INCLUDE!$SPEEX_INCLUDE$ac_delim
 SPEEX_DIR!$SPEEX_DIR$ac_delim
@@ -51546,14 +52143,6 @@ OPENSSL_DIR!$OPENSSL_DIR$ac_delim
 PBX_OPENSSL!$PBX_OPENSSL$ac_delim
 FREETDS_LIB!$FREETDS_LIB$ac_delim
 FREETDS_INCLUDE!$FREETDS_INCLUDE$ac_delim
-FREETDS_DIR!$FREETDS_DIR$ac_delim
-PBX_FREETDS!$PBX_FREETDS$ac_delim
-TERMCAP_LIB!$TERMCAP_LIB$ac_delim
-TERMCAP_INCLUDE!$TERMCAP_INCLUDE$ac_delim
-TERMCAP_DIR!$TERMCAP_DIR$ac_delim
-PBX_TERMCAP!$PBX_TERMCAP$ac_delim
-TINFO_LIB!$TINFO_LIB$ac_delim
-TINFO_INCLUDE!$TINFO_INCLUDE$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -51595,6 +52184,14 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+FREETDS_DIR!$FREETDS_DIR$ac_delim
+PBX_FREETDS!$PBX_FREETDS$ac_delim
+TERMCAP_LIB!$TERMCAP_LIB$ac_delim
+TERMCAP_INCLUDE!$TERMCAP_INCLUDE$ac_delim
+TERMCAP_DIR!$TERMCAP_DIR$ac_delim
+PBX_TERMCAP!$PBX_TERMCAP$ac_delim
+TINFO_LIB!$TINFO_LIB$ac_delim
+TINFO_INCLUDE!$TINFO_INCLUDE$ac_delim
 TINFO_DIR!$TINFO_DIR$ac_delim
 PBX_TINFO!$PBX_TINFO$ac_delim
 TONEZONE_LIB!$TONEZONE_LIB$ac_delim
@@ -51670,7 +52267,7 @@ CURL_CONFIG!$CURL_CONFIG$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 73; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 81; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
index f73dd55..0a68c8e 100644 (file)
@@ -240,6 +240,8 @@ AST_EXT_LIB_SETUP([OPENH323], [OpenH323], [h323])
 AST_EXT_LIB_SETUP([RADIUS], [Radius Client], [radius])
 AST_EXT_LIB_SETUP([SDL], [Sdl], [sdl])
 AST_EXT_LIB_SETUP([SDL_IMAGE], [Sdl Image library], [SDL_image])
+AST_EXT_LIB_SETUP([SACLM], [SAForum AIS CLM], [SaClm])
+AST_EXT_LIB_SETUP([SAEVT], [SAForum AIS EVT], [SaEvt])
 AST_EXT_LIB_SETUP([SPEEX], [Speex], [speex])
 AST_EXT_LIB_SETUP([SPEEXDSP], [Speexdsp], [speexdsp])
 AST_EXT_LIB_SETUP([SQLITE], [SQLite], [sqlite])
@@ -1348,6 +1350,9 @@ AST_EXT_LIB_CHECK([LUA], [lua5.1], [luaL_newstate], [lua5.1/lua.h])
 
 AST_EXT_LIB_CHECK([RADIUS], [radiusclient-ng], [rc_read_config], [radiusclient-ng.h])
 
+AST_EXT_LIB_CHECK([SACLM], [SaClm], [saClmInitialize], [openais/saClm.h])
+AST_EXT_LIB_CHECK([SAEVT], [SaEvt], [saEvtInitialize], [openais/saEvt.h])
+
 AST_EXT_LIB_CHECK([SPEEX], [speex], [speex_encode], [speex/speex.h], [-lm])
 
 # See if the main speex library contains the preprocess functions
index e89bef7..d219a1e 100644 (file)
 /* Define RTLD_NOLOAD headers version */
 #undef HAVE_RTLD_NOLOAD_VERSION
 
+/* Define this to indicate the ${SACLM_DESCRIP} library */
+#undef HAVE_SACLM
+
+/* Define to indicate the ${SACLM_DESCRIP} library version */
+#undef HAVE_SACLM_VERSION
+
+/* Define this to indicate the ${SAEVT_DESCRIP} library */
+#undef HAVE_SAEVT
+
+/* Define to indicate the ${SAEVT_DESCRIP} library version */
+#undef HAVE_SAEVT_VERSION
+
 /* Define to 1 if your system has /sbin/launchd. */
 #undef HAVE_SBIN_LAUNCHD
 
index 3d564b7..9fd9cc5 100644 (file)
@@ -154,6 +154,12 @@ SS7_LIB=@SS7_LIB@
 PWLIB_INCLUDE=@PWLIB_INCLUDE@
 PWLIB_LIB=@PWLIB_LIB@
 
+SACLM_INCLUDE=@SACLM_INCLUDE@
+SACLM_LIB=@SACLM_LIB@
+
+SAEVT_INCLUDE=@SAEVT_INCLUDE@
+SAEVT_LIB=@SAEVT_LIB@
+
 RADIUS_INCLUDE=@RADIUS_INCLUDE@
 RADIUS_LIB=@RADIUS_LIB@